﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Tekla.Structures.Plugins;
//Model
using TS = Tekla.Structures;
//Drawing
using TSD = Tekla.Structures.Drawing;
using TSDUI = Tekla.Structures.Drawing.UI;
using TSG = Tekla.Structures.Geometry3d;
using TSM = Tekla.Structures.Model;
using TSMUI = Tekla.Structures.Model.UI;

namespace $safeprojectname$
{
    public class StructureData
    {
        //[StructuresField("PoisionCoupler")]
        //public int PoisionCoupler;
    }
    //Name PLugins
    [Plugin("Name of Plugins")]
    //Assembly Pulgins to From
    [PluginUserInterface(".Main")]
    public class Plugins : PluginBase
    {
        private StructureData _Data { get; set; }
        public Plugins(StructureData data)
        {
            _Data = data;
        }
        public override List<InputDefinition> DefineInput()
        {
            List<InputDefinition> objs = new List<InputDefinition>();
            //Input Object
            try
            {
                TSM.UI.Picker picker = new TSM.UI.Picker();
                TSM.ModelObject _obj = picker.PickObject(TSMUI.Picker.PickObjectEnum.PICK_ONE_REINFORCEMENT);
                objs.Add(new InputDefinition(_obj.Identifier));
            }
            catch
            {

            }
            //End
            return objs;
        }

        public override bool Run(List<InputDefinition> Input)
        {
            //Get Input Objec
            TS.Identifier objIdentifier = (TS.Identifier)Input[0].GetInput();
            TSM.ModelObject obj = new TSM.Model().SelectModelObject(objIdentifier) as TSM.ModelObject;
            //Class Function
            return true;
        }
    }
}
